Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Compile and link C code for Perl modules
Name:		perl-ExtUtils-CBuilder
Version:	0.15
Release:	3
License:	GNU/GPL 
URL:		http://search.cpan.org/~kwilliams/ExtUtils-CBuilder
Group:		Development/Perl
Source0:	ExtUtils-CBuilder-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

%define		perlepoch	3
%define		perlversion	5.8.8

Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}

%description
Compile and link C code for Perl modules
For more details see: http://search.cpan.org/~kwilliams/ExtUtils-CBuilder

%post
ldconfig

%postun
ldconfig

%prep
%setup -n ExtUtils-CBuilder-%{version}

%build
perl Makefile.PL /usr
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
# removing unused stuff
if [ -f "$RPM_BUILD_ROOT%_libdir/perl5/%{perlversion}/i686-linux/perllocal.pod" ]; then
	rm -f $RPM_BUILD_ROOT%_libdir/perl5/%{perlversion}/i686-linux/perllocal.pod
fi
# stripping package
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_libdir
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed May 17 2006 Christian Wasem <wasem@ccux-linux.de> 0.15-3
- Rebuild against perl-5.8.8
* Sun Dec 04 2005 Stefan Gottwald <gotti@ccux-linux.de> 0.15-2
- Rebuild against perl-5.8.7
* Sat Dec 03 2005 Stefan Gottwald <gotti@ccux-linux.de> 0.15-1
- Initial Release
